Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIInplaceSelect

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectOne
                          org.richfaces.component.AbstractSelectComponent
                              org.richfaces.component.AbstractInplaceSelect
                                  org.richfaces.component.UIInplaceSelect

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.InplaceComponent

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public class UIInplaceSelect

extends AbstractInplaceSelect
implements javax.faces.component.behavior.ClientBehaviorHolder

Author:
  Anton Belevich

Nested Class Summary
`protected static class` | `UIInplaceSelect.Properties`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectOne
`INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIInplaceSelect()`

Method Summary
`java.lang.String` | `getActiveClass()`
`java.lang.String` | `getChangedClass()`
`java.lang.String` | `getDefaultEventName()`
`java.lang.String` | `getDefaultLabel()`
`java.lang.String` | `getDisabledClass()`
`java.lang.String` | `getEditEvent()`
`java.util.Collection<java.lang.String>` | `getEventNames()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getInputWidth()`
`java.lang.String` | `getItemClass()`
`java.lang.String` | `getListClass()`
`java.lang.String` | `getListHeight()`
`java.lang.String` | `getListWidth()`
`java.lang.String` | `getOnblur()`
`java.lang.String` | `getOnchange()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnfocus()`
`java.lang.String` | `getOninputclick()`
`java.lang.String` | `getOninputdblclick()`
`java.lang.String` | `getOninputkeydown()`
`java.lang.String` | `getOninputkeypress()`
`java.lang.String` | `getOninputkeyup()`
`java.lang.String` | `getOninputmousedown()`
`java.lang.String` | `getOninputmousemove()`
`java.lang.String` | `getOninputmouseout()`
`java.lang.String` | `getOninputmouseover()`
`java.lang.String` | `getOninputmouseup()`
`java.lang.String` | `getOninputselect()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnlistclick()`
`java.lang.String` | `getOnlistdblclick()`
`java.lang.String` | `getOnlistkeydown()`
`java.lang.String` | `getOnlistkeypress()`
`java.lang.String` | `getOnlistkeyup()`
`java.lang.String` | `getOnlistmousedown()`
`java.lang.String` | `getOnlistmousemove()`
`java.lang.String` | `getOnlistmouseout()`
`java.lang.String` | `getOnlistmouseover()`
`java.lang.String` | `getOnlistmouseup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnselectitem()`
`java.lang.String` | `getSelectItemClass()`
`org.richfaces.component.InplaceState` | `getState()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`int` | `getTabindex()`
`java.lang.String` | `getTitle()`
`boolean` | `isDisabled()`
`boolean` | `isOpenOnEdit()`
`boolean` | `isSaveOnBlur()`
`boolean` | `isSaveOnSelect()`
`boolean` | `isShowControls()`
`void` | `setActiveClass(java.lang.String activeClass)`
`void` | `setChangedClass(java.lang.String changedClass)`
`void` | `setDefaultLabel(java.lang.String defaultLabel)`
`void` | `setDisabled(boolean disabled)`
`void` | `setDisabledClass(java.lang.String disabledClass)`
`void` | `setEditEvent(java.lang.String editEvent)`
`void` | `setInputWidth(java.lang.String inputWidth)`
`void` | `setItemClass(java.lang.String itemClass)`
`void` | `setListClass(java.lang.String listClass)`
`void` | `setListHeight(java.lang.String listHeight)`
`void` | `setListWidth(java.lang.String listWidth)`
`void` | `setOnblur(java.lang.String onblur)`
`void` | `setOnchange(java.lang.String onchange)`
`void` | `setOnclick(java.lang.String onclick)`
`void` | `setOndblclick(java.lang.String ondblclick)`
`void` | `setOnfocus(java.lang.String onfocus)`
`void` | `setOninputclick(java.lang.String oninputclick)`
`void` | `setOninputdblclick(java.lang.String oninputdblclick)`
`void` | `setOninputkeydown(java.lang.String oninputkeydown)`
`void` | `setOninputkeypress(java.lang.String oninputkeypress)`
`void` | `setOninputkeyup(java.lang.String oninputkeyup)`
`void` | `setOninputmousedown(java.lang.String oninputmousedown)`
`void` | `setOninputmousemove(java.lang.String oninputmousemove)`
`void` | `setOninputmouseout(java.lang.String oninputmouseout)`
`void` | `setOninputmouseover(java.lang.String oninputmouseover)`
`void` | `setOninputmouseup(java.lang.String oninputmouseup)`
`void` | `setOninputselect(java.lang.String oninputselect)`
`void` | `setOnkeydown(java.lang.String onkeydown)`
`void` | `setOnkeypress(java.lang.String onkeypress)`
`void` | `setOnkeyup(java.lang.String onkeyup)`
`void` | `setOnlistclick(java.lang.String onlistclick)`
`void` | `setOnlistdblclick(java.lang.String onlistdblclick)`
`void` | `setOnlistkeydown(java.lang.String onlistkeydown)`
`void` | `setOnlistkeypress(java.lang.String onlistkeypress)`
`void` | `setOnlistkeyup(java.lang.String onlistkeyup)`
`void` | `setOnlistmousedown(java.lang.String onlistmousedown)`
`void` | `setOnlistmousemove(java.lang.String onlistmousemove)`
`void` | `setOnlistmouseout(java.lang.String onlistmouseout)`
`void` | `setOnlistmouseover(java.lang.String onlistmouseover)`
`void` | `setOnlistmouseup(java.lang.String onlistmouseup)`
`void` | `setOnmousedown(java.lang.String onmousedown)`
`void` | `setOnmousemove(java.lang.String onmousemove)`
`void` | `setOnmouseout(java.lang.String onmouseout)`
`void` | `setOnmouseover(java.lang.String onmouseover)`
`void` | `setOnmouseup(java.lang.String onmouseup)`
`void` | `setOnselectitem(java.lang.String onselectitem)`
`void` | `setOpenOnEdit(boolean openOnEdit)`
`void` | `setSaveOnBlur(boolean saveOnBlur)`
`void` | `setSaveOnSelect(boolean saveOnSelect)`
`void` | `setSelectItemClass(java.lang.String selectItemClass)`
`void` | `setShowControls(boolean showControls)`
`void` | `setState(org.richfaces.component.InplaceState state)`
`void` | `setStyle(java.lang.String style)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setTabindex(int tabindex)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class javax.faces.component.UISelectOne
`validateValue`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIInplaceSelect

    public UIInplaceSelect()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UISelectOne`

### getEventNames

    public java.util.Collection<java.lang.String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public java.lang.String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getActiveClass

    public java.lang.String getActiveClass()

  Specified by:
    `getActiveClass` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getActiveClass` in class `AbstractInplaceSelect`

### setActiveClass

    public void setActiveClass(java.lang.String activeClass)

### getChangedClass

    public java.lang.String getChangedClass()

  Specified by:
    `getChangedClass` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getChangedClass` in class `AbstractInplaceSelect`

### setChangedClass

    public void setChangedClass(java.lang.String changedClass)

### getDefaultLabel

    public java.lang.String getDefaultLabel()

  Specified by:
    `getDefaultLabel` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getDefaultLabel` in class `AbstractInplaceSelect`

### setDefaultLabel

    public void setDefaultLabel(java.lang.String defaultLabel)

### isDisabled

    public boolean isDisabled()

  Specified by:
    `isDisabled` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `isDisabled` in class `AbstractInplaceSelect`

### setDisabled

    public void setDisabled(boolean disabled)

### getDisabledClass

    public java.lang.String getDisabledClass()

  Specified by:
    `getDisabledClass` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getDisabledClass` in class `AbstractInplaceSelect`

### setDisabledClass

    public void setDisabledClass(java.lang.String disabledClass)

### getEditEvent

    public java.lang.String getEditEvent()

  Specified by:
    `getEditEvent` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getEditEvent` in class `AbstractInplaceSelect`

### setEditEvent

    public void setEditEvent(java.lang.String editEvent)

### getInputWidth

    public java.lang.String getInputWidth()

  Specified by:
    `getInputWidth` in class `AbstractInplaceSelect`

### setInputWidth

    public void setInputWidth(java.lang.String inputWidth)

### getItemClass

    public java.lang.String getItemClass()

  Specified by:
    `getItemClass` in class `AbstractInplaceSelect`

### setItemClass

    public void setItemClass(java.lang.String itemClass)

### getListClass

    public java.lang.String getListClass()

  Specified by:
    `getListClass` in class `AbstractInplaceSelect`

### setListClass

    public void setListClass(java.lang.String listClass)

### getListHeight

    public java.lang.String getListHeight()

  Specified by:
    `getListHeight` in class `AbstractSelectComponent`

### setListHeight

    public void setListHeight(java.lang.String listHeight)

### getListWidth

    public java.lang.String getListWidth()

  Specified by:
    `getListWidth` in class `AbstractSelectComponent`

### setListWidth

    public void setListWidth(java.lang.String listWidth)

### getOnblur

    public java.lang.String getOnblur()

  Specified by:
    `getOnblur` in class `AbstractSelectComponent`

### setOnblur

    public void setOnblur(java.lang.String onblur)

### getOnchange

    public java.lang.String getOnchange()

  Specified by:
    `getOnchange` in class `AbstractSelectComponent`

### setOnchange

    public void setOnchange(java.lang.String onchange)

### getOnclick

    public java.lang.String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractSelectComponent`

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOndblclick

    public java.lang.String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractSelectComponent`

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOnfocus

    public java.lang.String getOnfocus()

  Specified by:
    `getOnfocus` in class `AbstractSelectComponent`

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### getOninputclick

    public java.lang.String getOninputclick()

  Specified by:
    `getOninputclick` in class `AbstractInplaceSelect`

### setOninputclick

    public void setOninputclick(java.lang.String oninputclick)

### getOninputdblclick

    public java.lang.String getOninputdblclick()

  Specified by:
    `getOninputdblclick` in class `AbstractInplaceSelect`

### setOninputdblclick

    public void setOninputdblclick(java.lang.String oninputdblclick)

### getOninputkeydown

    public java.lang.String getOninputkeydown()

  Specified by:
    `getOninputkeydown` in class `AbstractInplaceSelect`

### setOninputkeydown

    public void setOninputkeydown(java.lang.String oninputkeydown)

### getOninputkeypress

    public java.lang.String getOninputkeypress()

  Specified by:
    `getOninputkeypress` in class `AbstractInplaceSelect`

### setOninputkeypress

    public void setOninputkeypress(java.lang.String oninputkeypress)

### getOninputkeyup

    public java.lang.String getOninputkeyup()

  Specified by:
    `getOninputkeyup` in class `AbstractInplaceSelect`

### setOninputkeyup

    public void setOninputkeyup(java.lang.String oninputkeyup)

### getOninputmousedown

    public java.lang.String getOninputmousedown()

  Specified by:
    `getOninputmousedown` in class `AbstractInplaceSelect`

### setOninputmousedown

    public void setOninputmousedown(java.lang.String oninputmousedown)

### getOninputmousemove

    public java.lang.String getOninputmousemove()

  Specified by:
    `getOninputmousemove` in class `AbstractInplaceSelect`

### setOninputmousemove

    public void setOninputmousemove(java.lang.String oninputmousemove)

### getOninputmouseout

    public java.lang.String getOninputmouseout()

  Specified by:
    `getOninputmouseout` in class `AbstractInplaceSelect`

### setOninputmouseout

    public void setOninputmouseout(java.lang.String oninputmouseout)

### getOninputmouseover

    public java.lang.String getOninputmouseover()

  Specified by:
    `getOninputmouseover` in class `AbstractInplaceSelect`

### setOninputmouseover

    public void setOninputmouseover(java.lang.String oninputmouseover)

### getOninputmouseup

    public java.lang.String getOninputmouseup()

  Specified by:
    `getOninputmouseup` in class `AbstractInplaceSelect`

### setOninputmouseup

    public void setOninputmouseup(java.lang.String oninputmouseup)

### getOninputselect

    public java.lang.String getOninputselect()

  Specified by:
    `getOninputselect` in class `AbstractInplaceSelect`

### setOninputselect

    public void setOninputselect(java.lang.String oninputselect)

### getOnkeydown

    public java.lang.String getOnkeydown()

  Specified by:
    `getOnkeydown` in class `AbstractSelectComponent`

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

  Specified by:
    `getOnkeypress` in class `AbstractSelectComponent`

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

  Specified by:
    `getOnkeyup` in class `AbstractSelectComponent`

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

### getOnlistclick

    public java.lang.String getOnlistclick()

  Specified by:
    `getOnlistclick` in class `AbstractSelectComponent`

### setOnlistclick

    public void setOnlistclick(java.lang.String onlistclick)

### getOnlistdblclick

    public java.lang.String getOnlistdblclick()

  Specified by:
    `getOnlistdblclick` in class `AbstractSelectComponent`

### setOnlistdblclick

    public void setOnlistdblclick(java.lang.String onlistdblclick)

### getOnlistkeydown

    public java.lang.String getOnlistkeydown()

  Specified by:
    `getOnlistkeydown` in class `AbstractSelectComponent`

### setOnlistkeydown

    public void setOnlistkeydown(java.lang.String onlistkeydown)

### getOnlistkeypress

    public java.lang.String getOnlistkeypress()

  Specified by:
    `getOnlistkeypress` in class `AbstractSelectComponent`

### setOnlistkeypress

    public void setOnlistkeypress(java.lang.String onlistkeypress)

### getOnlistkeyup

    public java.lang.String getOnlistkeyup()

  Specified by:
    `getOnlistkeyup` in class `AbstractSelectComponent`

### setOnlistkeyup

    public void setOnlistkeyup(java.lang.String onlistkeyup)

### getOnlistmousedown

    public java.lang.String getOnlistmousedown()

  Specified by:
    `getOnlistmousedown` in class `AbstractSelectComponent`

### setOnlistmousedown

    public void setOnlistmousedown(java.lang.String onlistmousedown)

### getOnlistmousemove

    public java.lang.String getOnlistmousemove()

  Specified by:
    `getOnlistmousemove` in class `AbstractSelectComponent`

### setOnlistmousemove

    public void setOnlistmousemove(java.lang.String onlistmousemove)

### getOnlistmouseout

    public java.lang.String getOnlistmouseout()

  Specified by:
    `getOnlistmouseout` in class `AbstractSelectComponent`

### setOnlistmouseout

    public void setOnlistmouseout(java.lang.String onlistmouseout)

### getOnlistmouseover

    public java.lang.String getOnlistmouseover()

  Specified by:
    `getOnlistmouseover` in class `AbstractSelectComponent`

### setOnlistmouseover

    public void setOnlistmouseover(java.lang.String onlistmouseover)

### getOnlistmouseup

    public java.lang.String getOnlistmouseup()

  Specified by:
    `getOnlistmouseup` in class `AbstractSelectComponent`

### setOnlistmouseup

    public void setOnlistmouseup(java.lang.String onlistmouseup)

### getOnmousedown

    public java.lang.String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractSelectComponent`

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractSelectComponent`

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractSelectComponent`

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractSelectComponent`

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractSelectComponent`

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getOnselectitem

    public java.lang.String getOnselectitem()

  Specified by:
    `getOnselectitem` in class `AbstractSelectComponent`

### setOnselectitem

    public void setOnselectitem(java.lang.String onselectitem)

### isOpenOnEdit

    public boolean isOpenOnEdit()

  Specified by:
    `isOpenOnEdit` in class `AbstractInplaceSelect`

### setOpenOnEdit

    public void setOpenOnEdit(boolean openOnEdit)

### isSaveOnBlur

    public boolean isSaveOnBlur()

  Specified by:
    `isSaveOnBlur` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `isSaveOnBlur` in class `AbstractInplaceSelect`

### setSaveOnBlur

    public void setSaveOnBlur(boolean saveOnBlur)

### isSaveOnSelect

    public boolean isSaveOnSelect()

  Specified by:
    `isSaveOnSelect` in class `AbstractInplaceSelect`

### setSaveOnSelect

    public void setSaveOnSelect(boolean saveOnSelect)

### getSelectItemClass

    public java.lang.String getSelectItemClass()

  Specified by:
    `getSelectItemClass` in class `AbstractInplaceSelect`

### setSelectItemClass

    public void setSelectItemClass(java.lang.String selectItemClass)

### isShowControls

    public boolean isShowControls()

  Specified by:
    `isShowControls` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `isShowControls` in class `AbstractInplaceSelect`

### setShowControls

    public void setShowControls(boolean showControls)

### getState

    public org.richfaces.component.InplaceState getState()

  Specified by:
    `getState` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getState` in class `AbstractInplaceSelect`

### setState

    public void setState(org.richfaces.component.InplaceState state)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getTabindex

    public int getTabindex()

  Specified by:
    `getTabindex` in interface `org.richfaces.component.InplaceComponent`
  Specified by:
    `getTabindex` in class `AbstractInplaceSelect`

### setTabindex

    public void setTabindex(int tabindex)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.